
.text
;;
;; ethernet register disgnostic
;;
    .global ea_reg_diag
ea_reg_diag:
    clr r17
    sts     nch,r17
    sts     ready,r17
    setport en_ccmd,enc_nodma+enc_page1

ea_reg_diag_1:
    ldi r17,6
    ldi r16,1               ; starting at port 1
next_ea_1:
    mov i0,r17
    rcall    isa_out
    inc r16
    dec r17
    brne next_ea_1

    ldi r17,6
    ldi r16,1               ; starting at port 1
next_ea_2:
    rcall    isa_in
    space
    hexb
    inc r16
    dec r17
    brne next_ea_2
    crlf

    lds     w,ready
    tst     w
    breq    ea_reg_diag_1            ; if CR not yet pressed...

    rcall iosweep

    setport en_ccmd,enc_nodma+enc_page0
    ret
