;-------------------------------------------------------------------------
; Copyright (c) 1999 Steven Freyder, David Helland, Bruce D. Lightner and
; Lightner Engineering.  Use subject to licensing restrictions described
; the file LICENSE.txt.  If you do not agree with the licensing terms then
; you must return and/or destroy this software immediately!
;-------------------------------------------------------------------------
;+
; **-hexmem_x-hex dump of memory.
;
; inputs:
;       x   = starting address
;       r16 = byte count
;
; outputs:
;       x   = advanced beyond bytes printed
;       r16 = 0
;-
.text
.global hexmem_x
hexmem_x:
        space
        ld i0,x+
        hexb
        dec r16
        brne hexmem_x
        ret
