;+
; **-pandn-pcode and two buffers in SRAM.
;
; inputs:
;   r10 -> buffer1
;   r12 -> buffer2
;   r14l = length (byte)
;
; outputs:
;   none
;-

    .global pand4
pand4:  pcode_routine 2
    ldi zl,4
    rjmp pandn1
    .global pandn
pandn:  pcode_routine 3                 ; @r10 & @r12 -> @r10 for r14 bytes
    mov zl,r14l
pandn1:
    rcall r10reloc
    rcall r12reloc
pandn_next:
    ld r0,x
    ld r1,y+
    and r0,r1
    st x+,r0
    dec zl
    brne pandn_next
pandn_done:
    ret
