@if not exist echo echo off
rem usage: PWLOCK project

if not X%1 == X goto parm_ok1
echo please supply project file name as first parameter!
echo usage: PWLOCK project
goto abort
:parm_ok1

if exist %1.el goto parm_ok3
echo can't find CGI pcode file %1.el!
goto abort
:parm_ok3

if not X%PWDEV% == X goto env_ok
echo environment variable PWDEV not set!
goto abort
:env_ok

if exist %PWDEV%\bin\nul goto path_ok
echo can't find PicoWeb binary directory %PWDEV%\bin!
goto abort
:path_ok

if not exist %1.bad goto avrld_ok
echo AVR firmware load error!
goto abort

:avrld_ok
echo full network load lock of Picoweb (EEPROM 1FF=00)
%PWDEV%\bin\perl %PWDEV%\bin\netprog.pl @ip -port 612 1ff 00
IF ERRORLEVEL 1 goto abort

echo PicoWeb network load lock complete.
goto done

:abort
echo Load aborted!
:done
