@if not exist echo echo off
rem usage: PWNETLD project

if not X%1 == X goto parm_ok1
echo please supply project file name as first parameter!
echo usage: PWNETLD project
goto abort
:parm_ok1

if exist %1.el goto parm_ok3
echo can't find CGI pcode file %1.el!
goto abort
:parm_ok3

if not X%PWDEV% == X goto env_ok
echo environment variable PWDEV not set!
goto abort
:env_ok

if exist %PWDEV%\bin\nul goto path_ok
echo can't find PicoWeb binary directory %PWDEV%\bin!
goto abort
:path_ok

if not exist %1.bad goto avrld_ok
echo -----------------------------------------------------------------
echo AVR firmware load error!!! (indicated by file %1.bad)
echo -----------------------------------------------------------------
goto abort

:avrld_ok
echo unlocking Picoweb (EEPROM 1FF=FF)
%PWDEV%\bin\perl %PWDEV%\bin\netprog.pl @ip -port 612 1ff ff
IF ERRORLEVEL 1 goto abort

echo loading PicoWeb CGI pcode/Web pages into EEPROM via network
%PWDEV%\bin\perl %PWDEV%\bin\netprog.pl @ip %1.el
IF ERRORLEVEL 1 goto abort

echo partial lock of Picoweb (EEPROM 1FF:01)
%PWDEV%\bin\perl %PWDEV%\bin\netprog.pl @ip -port 612 1ff 01
IF ERRORLEVEL 1 goto abort

if exist img.tmp del img.tmp
if exist img2.tmp del img2.tmp
if exist img3.tmp del img3.tmp
if exist img2.tmp del img4.tmp

echo PicoWeb network load complete.
goto done

:abort
echo PicoWeb network load aborted!
:done
