;-------------------------------------------------------------------------
; Copyright (c) 2000 Steven Freyder, David Helland, Bruce D. Lightner and
; Lightner Engineering.  Use subject to licensing restrictions described
; the file LICENSE.txt.  If you do not agree with the licensing terms then
; you must return and/or destroy this software immediately!
;-------------------------------------------------------------------------

;+
; **-pcifelse-conditional pcall
;
; inputs:
;     flags = pcode Z flag
;       r10 = address of routine #1 (or 0)
;       r12 = address of routine #2 (or 0)
;
; action:
;     pcalls routine #1 if equal (Z=1)
;     else pcalls routine #2
;-
.cseg
    .global pcifelse
pcifelse:  pcode_routine 2
    rcall get_pcode_flags
    breq pcifelse_done          ; check flags
    movw r10,r12                ; not equal - do else
pcifelse_done:
    mov w,r10l                  ; check for 0 as target address
    or w,r10h
    brne pcifelse_call
    ret                         ; call target is zero - nop
pcifelse_call:
    rjmp pcall_plus_one         ; do pcall

