;-------------------------------------------------------------------------
; Copyright (c) 1999 Steven Freyder, David Helland, and Bruce D. Lightner.
; Use subject to licensing restrictions described in "PICOWEB SERVER
; SOFTWARE LICENSE AGREEMENT DATED JULY 14, 1999" (See file LICENSE.txt).
;-------------------------------------------------------------------------
;+
; **-pprinta-pcode print bytes from ethernet memory with label
;
; inputs:
;       r10 -> label or NULL if none
;       r12 = start address in board memory
;       r14 = byte count
;-
.text
    .global pprinta
pprinta: pcode_routine 3|NO_P1_IND
    lds r20h,curr_recv              ; current receive frame
    ldi r20l,en_rbuf_nhdr           ;  plus offset to start of packet
    movwi z,CODEP(printa_word)
    rjmp printr1
printa_word:
    mov ch,i0
    rcall do_putchar
    rcall decw_r14
    breq printa_word1
    mov ch,i1
    rcall do_putchar
    rcall decw_r14
printa_word1:
    ret
